<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::Controller&lt; T &gt; Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1Controller.html">Ogre::Controller&lt; T &gt;</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Controller.html#3fb917fd69fdc9d6799913970039652b">Controller</a>(const SharedPtr&lt; ControllerValue&lt; T &gt; &gt; &amp;src, const SharedPtr&lt; ControllerValue&lt; T &gt; &gt; &amp;dest, const SharedPtr&lt; ControllerFunction&lt; T &gt; &gt; &amp;func)</td><td><a class="el" href="classOgre_1_1Controller.html">Ogre::Controller&lt; T &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Controller.html#ee33f3e655a58d3575bc379888794c03">getDestination</a>(void) const </td><td><a class="el" href="classOgre_1_1Controller.html">Ogre::Controller&lt; T &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Controller.html#40ebb32894b254f53080adc1819be175">getEnabled</a>(void) const </td><td><a class="el" href="classOgre_1_1Controller.html">Ogre::Controller&lt; T &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Controller.html#50faa7325e4807f91f7618e0579c9245">getFunction</a>(void) const </td><td><a class="el" href="classOgre_1_1Controller.html">Ogre::Controller&lt; T &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Controller.html#80a9f6dd19259820c055212a70127dc1">getSource</a>(void) const </td><td><a class="el" href="classOgre_1_1Controller.html">Ogre::Controller&lt; T &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Controller.html#fe2a7e92f3f8ef890a236b6e3d3f6cfd">mDest</a></td><td><a class="el" href="classOgre_1_1Controller.html">Ogre::Controller&lt; T &gt;</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Controller.html#9ec4cc3869f9637c506a7c05f5bf3edd">mEnabled</a></td><td><a class="el" href="classOgre_1_1Controller.html">Ogre::Controller&lt; T &gt;</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Controller.html#0e43abdb63f94385ffddd6f24ae4bd73">mFunc</a></td><td><a class="el" href="classOgre_1_1Controller.html">Ogre::Controller&lt; T &gt;</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Controller.html#4d1095860c2e682f9e24527a3e0c3c4f">mSource</a></td><td><a class="el" href="classOgre_1_1Controller.html">Ogre::Controller&lt; T &gt;</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Controller.html#f3f635f593cbe7d7973e5ab402846c5c">setDestination</a>(const SharedPtr&lt; ControllerValue&lt; T &gt; &gt; &amp;dest)</td><td><a class="el" href="classOgre_1_1Controller.html">Ogre::Controller&lt; T &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Controller.html#780a6566e4af4b23e760863f3de02028">setEnabled</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1Controller.html">Ogre::Controller&lt; T &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Controller.html#f5d922ba593d4132e75ea6fad2848677">setFunction</a>(const SharedPtr&lt; ControllerFunction&lt; T &gt; &gt; &amp;func)</td><td><a class="el" href="classOgre_1_1Controller.html">Ogre::Controller&lt; T &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Controller.html#5432e56160bfd643bdcc0348ad191e11">setSource</a>(const SharedPtr&lt; ControllerValue&lt; T &gt; &gt; &amp;src)</td><td><a class="el" href="classOgre_1_1Controller.html">Ogre::Controller&lt; T &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Controller.html#4b16ce7b5a436c3f895bea7960bdcb07">update</a>(void)</td><td><a class="el" href="classOgre_1_1Controller.html">Ogre::Controller&lt; T &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Controller.html#b0ba3276e026fdd9d6779e043a250617">~Controller</a>()</td><td><a class="el" href="classOgre_1_1Controller.html">Ogre::Controller&lt; T &gt;</a></td><td><code> [virtual]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:28 2008
</p>
</body>
</html>
